# SmiScnNode Class Reference

`#include <SmiScnModel.hpp>`

Collaboration diagram for SmiScnNode:
[legend]

List of all members.

## Public Member Functions
int | getCoreColIndex (int i)
int | getCoreRowIndex (int i)
void | setScenarioIndex (SmiScenarioIndex i)
SmiScenarioIndex | getScenarioIndex ()
int | getColStart ()
int | getRowStart ()
int | getNumCols ()
int | getNumRows ()
double | getModelProb ()
SmiStageIndex | getStage ()
SmiScnNode * | getParent ()
void | setProb (double p)
double | addProb (double prob)
double | getProb ()
void | setParent (SmiScnNode *g)
bool | isVirtualNode ()
void | zapNode ()
| SmiScnNode (SmiNodeData *node)
| ~SmiScnNode ()
SmiNodeData * | getNode ()
## Private Member Functions
void | setRowOffset (int r)
void | setColOffset (int c)
double | getCondProb ()
void | setCondProb (double p)
void | setModelProb (double p)
void | setIncludeOff ()
void | setIncludeOn ()
bool | getInclude ()
## Private Attributes
SmiNodeData * | node_
SmiScnNode * | parent_
double | prob_
double | mdl_prob_
double | condProb_
int | coffset_
int | roffset_
SmiScenarioIndex | scen_
bool | include_
## Friends
class | SmiScnModel
void | DecompUnitTest ()

## Detailed Description

Definition at line 280 of file SmiScnModel.hpp.

## Constructor & Destructor Documentation

SmiScnNode::SmiScnNode | ( | SmiNodeData * | node | ) | `[inline]`

Definition at line 307 of file SmiScnModel.hpp.

SmiScnNode::~SmiScnNode | ( |  | ) | `[inline]`

Definition at line 317 of file SmiScnModel.hpp.

## Member Function Documentation

int SmiScnNode::getCoreColIndex | ( | int | i | ) |

int SmiScnNode::getCoreRowIndex | ( | int | i | ) |

void SmiScnNode::setScenarioIndex | ( | SmiScenarioIndex | i | ) | `[inline]`

Definition at line 287 of file SmiScnModel.hpp.

SmiScenarioIndex SmiScnNode::getScenarioIndex | ( |  | ) | `[inline]`

Definition at line 288 of file SmiScnModel.hpp.

int SmiScnNode::getColStart | ( |  | ) | `[inline]`

Definition at line 289 of file SmiScnModel.hpp.

int SmiScnNode::getRowStart | ( |  | ) | `[inline]`

Definition at line 290 of file SmiScnModel.hpp.

int SmiScnNode::getNumCols | ( |  | ) | `[inline]`

Definition at line 291 of file SmiScnModel.hpp.

int SmiScnNode::getNumRows | ( |  | ) | `[inline]`

Definition at line 292 of file SmiScnModel.hpp.

double SmiScnNode::getModelProb | ( |  | ) | `[inline]`

Definition at line 294 of file SmiScnModel.hpp.

SmiStageIndex SmiScnNode::getStage | ( |  | ) | `[inline]`

Definition at line 295 of file SmiScnModel.hpp.

SmiScnNode* SmiScnNode::getParent | ( |  | ) | `[inline]`

Definition at line 296 of file SmiScnModel.hpp.

void SmiScnNode::setProb | ( | double | p | ) | `[inline]`

Definition at line 297 of file SmiScnModel.hpp.

double SmiScnNode::addProb | ( | double | prob | ) | `[inline]`

Definition at line 298 of file SmiScnModel.hpp.

double SmiScnNode::getProb | ( |  | ) | `[inline]`

Definition at line 299 of file SmiScnModel.hpp.

void SmiScnNode::setParent | ( | SmiScnNode * | g | ) | `[inline]`

Definition at line 300 of file SmiScnModel.hpp.

bool SmiScnNode::isVirtualNode | ( |  | ) | `[inline]`

Definition at line 302 of file SmiScnModel.hpp.

void SmiScnNode::zapNode | ( |  | ) | `[inline]`

Definition at line 304 of file SmiScnModel.hpp.

void SmiScnNode::setRowOffset | ( | int | r | ) | `[inline, private]`

Definition at line 331 of file SmiScnModel.hpp.

void SmiScnNode::setColOffset | ( | int | c | ) | `[inline, private]`

Definition at line 332 of file SmiScnModel.hpp.

double SmiScnNode::getCondProb | ( |  | ) | `[inline, private]`

Definition at line 334 of file SmiScnModel.hpp.

void SmiScnNode::setCondProb | ( | double | p | ) | `[inline, private]`

Definition at line 335 of file SmiScnModel.hpp.

void SmiScnNode::setModelProb | ( | double | p | ) | `[inline, private]`

Definition at line 336 of file SmiScnModel.hpp.

SmiNodeData* SmiScnNode::getNode | ( |  | ) | `[inline]`

Definition at line 339 of file SmiScnModel.hpp.

void SmiScnNode::setIncludeOff | ( |  | ) | `[inline, private]`

Definition at line 341 of file SmiScnModel.hpp.

void SmiScnNode::setIncludeOn | ( |  | ) | `[inline, private]`

Definition at line 342 of file SmiScnModel.hpp.

bool SmiScnNode::getInclude | ( |  | ) | `[inline, private]`

Definition at line 343 of file SmiScnModel.hpp.

## Friends And Related Function Documentation

friend class SmiScnModel`[friend]`

Definition at line 282 of file SmiScnModel.hpp.

void DecompUnitTest | ( |  | ) | `[friend]`

## Member Data Documentation

SmiNodeData* SmiScnNode::node_`[private]`

Definition at line 348 of file SmiScnModel.hpp.

SmiScnNode* SmiScnNode::parent_`[private]`

Definition at line 349 of file SmiScnModel.hpp.

double SmiScnNode::prob_`[private]`

Definition at line 350 of file SmiScnModel.hpp.

double SmiScnNode::mdl_prob_`[private]`

Definition at line 351 of file SmiScnModel.hpp.

double SmiScnNode::condProb_`[private]`

Definition at line 352 of file SmiScnModel.hpp.

int SmiScnNode::coffset_`[private]`

Definition at line 353 of file SmiScnModel.hpp.

int SmiScnNode::roffset_`[private]`

Definition at line 354 of file SmiScnModel.hpp.

SmiScenarioIndex SmiScnNode::scen_`[private]`

Definition at line 355 of file SmiScnModel.hpp.

bool SmiScnNode::include_`[private]`

Definition at line 356 of file SmiScnModel.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Smi-0.93.1/Smi/src/SmiScnModel.hpp